module chatserver;

import tango.net.Socket;
import tango.core.Thread;
import tango.io.Stdout;
import dreactor.core.Vat; 
import dreactor.core.Dispatcher;

import dreactor.protocol.RawTcp;
import dreactor.transport.AsyncSocketConduit;


int main()
{ 
    Vat l_vat = new Vat();
    RawTCPListener listener = new RawTCPListener(l_vat, new IPv4Address(5555));
    listener.setDataHandler( (char[] inbuf, Dispatcher d) {

        listener.broadcast(inbuf, [d]);

    });
    l_vat.run();

    return 0;
}

